连接到 Fabric 上的服务提供商
在您的IBX共置资产和服务配置文件之间建立连接。

先决条件
-
验证-提交您的用户凭据,客户端ID和客户端机密以进行OAuth2验证。有关如何致电OAuth API以验证和验证您的凭据的说明,请参阅API验证。
-
确定A侧端口信息。 使用获取所有端口端点获取相关端口信息。
-
选择Z侧都会区位置。使用获取所有都会区端点查找Equinix Fabric可用的所有都会区,并确定连接的目标位置。
-
确定服务提供商的服务配置文件信息。使用“检索服务配置文件”端点搜索特定服务配置文件,或使用“列出服务配置文件”端点列出所有可用的服务配置文件,并确定要连接的配置文件。
创建从 DOT1Q端口到服务提供商的连接
要创建从Dot1q端口到服务提供商的连接,请向端点发送POST请求/fabric/v4/connections。在请求正文中指定连接的配置详情。
POST /fabric/v4/connections | |
|---|---|
| 方法 | POST |
| 端点 | /fabric/v4/connections |
| 标题 | Authorization,Content-Type |
| 路径参数 | 不适用 |
| 查询参数 | 不适用 |
| 身体参数 | type,name,order redundancy bandwidth,,aSide,zSide,notifications |
在不创建连接的情况下在Production中安全验证此请求,请参阅在Production中测试(API Dry Run)。
cURL 请求示例:
curl -X
POST 'https: //api.equinix.com/fabric/v4/connections'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '{
"type": "EVPL_VC",
"name": "Conn-1",
"order": {
"purchaseOrderNumber": "1-129105284100"
},
"bandwidth": 1000,
"redundancy": {
"group": "b767f685-41b0-1b07-6de0-320a5c00abdd",
"priority": "SECONDARY"
},
"aSide": {
"accessPoint": {
"type": "COLO",
"port": {
"uuid": "a867f685-41b0-1b07-6de0-320a5c00abdd"
},
"linkProtocol": {
"type": "DOT1Q",
"vlanTag": 1001
}
}
},
"zSide": {
"accessPoint": {
"type": "SP",
"profile": {
"uuid": "20d32a80-0d61-4333-bc03-707b591ae2f5"
},
"location": {
"metroCode": "SV"
}
}
},
"notifications": [
{
"type": "ALL",
"emails": [
"test@equinix.com",
"test@equinix.com"
]
}
]
}'
请求正文中包含的参数特定于此示例。参数及其说明的完整列表,请参见API参考手册。
示例回答:
{
"href": "https://api.equinix.com/fabric/v4/connections/3a58dd05-f46d-4b1d-a154-2e85c396ea62",
"type": "EVPL_VC",
"uuid": "3a58dd05-f46d-4b1d-a154-2e85c396ea62",
"name": "Conn-1",
"state": "PROVISIONING",
"order": {
"purchaseOrderNumber": "1-129105284100",
"billingTier": "Up to 1 Gbps"
},
"bandwidth": 1000,
"redundancy": {
"group": "b767f685-41b0-1b07-6de0-320a5c00abdd",
"priority": "SECONDARY"
},
"aSide": {
"accessPoint": {
"type": "COLO",
"port": {
"href": "https://api.equinix.com/fabric/v4/ports/a867f685-41b0-1b07-6de0-320a5c00abdd",
"type": "XF_PORT",
"uuid": "a867f685-41b0-1b07-6de0-320a5c00abdd"
},
"linkProtocol": {
"type": "DOT1Q",
"vlanTag": 1001
}
}
},
"zSide": {
"accessPoint": {
"type": "SP",
"profile": {
"href": "https://api.equinix.com/fabric/v4/serviceProfiles/a867f685-41b0-1b07-6de0-320a5c00abdd",
"type": "L2_Profile",
"uuid": "20d32a80-0d61-4333-bc03-707b591ae2f4"
},
"location": {
"href": "https://api.equinix.com/v4/metros/SV",
"metrocode": "SV",
"region": "AMER"
}
}
},
"notifications": [
{
"type": "ALL",
"emails": [
"test@equinix.com",
"test2@equinix.com"
]
}
],
"operation": {
"equinixStatus": "PENDING_APPROVAL",
"providerStatus": "NOT_AVAILABLE"
},
"changeLog": {
"createdDateTime": "2021-07-15T19:30:29.526Z"
}
}
响应负载包括在请求正文中定义的配置参数。有关可能参数及其说明的完整列表,请参阅API参考手册。
创建从 QINQ端口到服务提供商的连接
要建立从QinQ端口到服务提供商的连接,请向端点发送POST请求/fabric/v4/connections。在请求正文中指定连接的配置详情。
cURL 请求示例:
curl -X
POST 'https: //api.equinix.com/fabric/v4/connections'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '{
"type": "EVPL_VC",
"name": "Conn-1",
"order": {
"purchaseOrderNumber": "1-129105284100"
},
"bandwidth": 1000,
"redundancy": {
"group": "b767f685-41b0-1b07-6de0-320a5c00abdd",
"priority": "SECONDARY"
},
"aSide": {
"accessPoint": {
"type": "COLO",
"port": {
"uuid": "a867f685-41b0-1b07-6de0-320a5c00abdd"
},
"linkProtocol": {
"type": "QINQ",
"vlanCTag": 1001,
"vlanSTag": 1002
}
}
},
"zSide": {
"accessPoint": {
"type": "SP",
"profile": {
"uuid": "20d32a80-0d61-4333-bc03-707b591ae2f5"
},
"location": {
"metroCode": "SV"
}
}
},
"notifications": [
{
"type": "ALL",
"emails": [
"test@equinix.com",
"test@equinix.com"
]
}
]
}'
请求正文中包含的参数特定于此示例。参数及其说明的完整列表,请参见API参考手册。
监控连接
使用获取指定的连接端点监控连接状态。
**equinixStatus**参数值 | **providerStatus**参数值 | 描述 |
|---|---|---|
PENDING_APPROVAL | NOT_AVAILABLE | 连接请求正在等待批准。 |
PROVISIONING或 REJECTED | NOT_AVAILABLE | 正在建立连接或卖家已拒绝连接。 |
PROVISIONED | AVAILABLE | 连接已建立。 |
